package net.lesscoding.handmade.controller;

import net.lesscoding.handmade.common.Result;
import net.lesscoding.handmade.common.ResultFactory;
import net.lesscoding.handmade.entity.Product;
import net.lesscoding.handmade.entity.ProductAttr;
import net.lesscoding.handmade.service.ProductAttrService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author eleven
 * @date 2023/6/28 19:55
 * @apiNote
 */
@RestController
@RequestMapping("/productAttr")
public class ProductAttrController {
    @Autowired
    private ProductAttrService productAttrService;

    @PostMapping("/edit")
    public Result editProductAttr(@RequestBody ProductAttr productAttr) {
        return ResultFactory.success(productAttrService.editProductAttr(productAttr));
    }
}
