package net.lesscoding.handmade.controller;

import net.lesscoding.handmade.common.Result;
import net.lesscoding.handmade.common.ResultFactory;
import net.lesscoding.handmade.entity.Product;
import net.lesscoding.handmade.service.ProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.AutoConfigureOrder;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author eleven
 * @date 2023/6/28 19:55
 * @apiNote
 */
@RestController
@RequestMapping("/product")
public class ProductController {

    @Autowired
    private ProductService productService;

    @PostMapping("/edit")
    public Result editProduct(@RequestBody Product product) {
        return ResultFactory.success(productService.editProduct(product));
    }

}
