package net.lesscoding.handmade.enums;

import lombok.Getter;

/**
 * @author eleven
 * @date 2023/4/28 10:40
 * @apiNote
 */
@Getter
public enum DictType {
    /** 零件颜色 */
    COLOR("color", "零件颜色"),
    /** 材料 */
    MATERIALS("materials", "材料类型")
    ;
    /**
     * 字典项类型
     */
    private String dictType;

    /**
     * 字典项描述
     */
    private String description;

    private DictType(String dictType, String description) {
        this.dictType = dictType;
        this.description = description;
    }

}
